body {
    margin: 0;
    padding: 0;
}

.container {
    height: calc(100vh - 54px);
    background: url("https://mir-s3-cdn-cf.behance.net/project_modules/1400/4d845686128681.5d909dad4ddd3.jpg")
        no-repeat;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*--------------------------Home--------------------------*/

.home a {
    text-decoration: none;
}
.home a:active {
    text-decoration: none;
}

.homeBox {
    width: 180px;
    height: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 40px;
    background-color: #17171761;
    transition: all 0.4s ease-in-out;
    border-radius: 5px;
    color: white;
    font-weight: 700;
    font-size: 20px;
}

.homeBox:hover {
    border-radius: 50%;
    transform: scale(1.3);
    box-shadow: 0 0 30px rgba(27, 27, 27, 0.726);
}

/*--------------------------Navbar--------------------------*/
.navbar {
    margin-top: 0;
    background-color: #414141;
}

.navbar ul {
    display: flex;
    justify-content: flex-end;
    list-style-type: none;
    margin: 0;
    padding: 15px 0;
}

.navbar ul li {
    margin: 0 20px;
}

.navbar ul li a {
    text-decoration: none;
    font-size: 20px;
    font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
    color: white;
}

/*-----------------------useMemo-------------------------*/
.useMemo button {
    border: none;
    padding: 25px 70px 25px 40px;
    margin: 0 40px;
    font-size: 20px;
    font-weight: 700;
    color: white;
    background-color: #414141;
    cursor: pointer;
    position: relative;
}

.useMemo button::after {
    content: "";
    position: absolute;
    background-color: #101010ab;
    width: 25%;
    height: 100%;
    top: 0;
    right: 0;
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
}

.useMemo span {
    position: absolute;
    color: white;
    right: 15px;
    z-index: 1;
}

/*-------------------------useCallback------------------------*/
.useCallback {
    flex-direction: column;
}

.useCallback button {
    border: none;
    padding: 10px 20px;
    margin: 0 20px;
    font-size: 20px;
    font-weight: 500;
    color: white;
    background-color: #414141;
    cursor: pointer;
    width: 300px;
}

.useCallbackTitle {
    text-transform: uppercase;
    font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
        "Lucida Sans", Arial, sans-serif;
    color: rgb(0, 0, 0);
}

.useCallback .box {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #414141;
    margin: 20px 0;
    padding: 20px;
    text-align: center;
}
.useCallback .box div {
    color: rgb(0, 0, 0);
    font-weight: 700;
    font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    width: 100%;
    height: 50%;
    font-size: 35px;
    padding: 20px 0;
    border-radius: 5px;
    transition: all 0.2s ease-in-out;
    background-color: #414144;
    color: white;
}

.useCallback .box:hover div {
    user-select: none;
    background: white;
    color: black;
    transform: scale(1.03);
}

/*---------------------custom hook------------------------*/
.customHook.container {
    height: 100%;
    justify-content: center;
    align-items: flex-start;
}

.customHookSecondaryContainer {
    width: 70%;
    margin: auto;
}

.customHook {
    flex-direction: column;
}

.customHookBox {
    width: 100%;
    height: 100%;
    border: 1px solid #414141;
    margin: 30px 0;
    background-color: rgba(255, 255, 255, 0.822);
    border-radius: 10px;
    transition: all 0.3s ease-in-out;
    user-select: none;
}

.customHookBox:hover {
    transform: scale(1.03);
}

.customHook h4 {
    margin-top: 0px;
    padding: 10px;
    color: white;
    background-color: #414141;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.customHook p {
    margin: 20px;
}

/*--------------------------HOC-----------------------------*/
.hoc h1 {
    font-size: 40px;
    font-family: cursive;
}

/*----------------------------redux-------------------------*/
.redux h1 {
    font-size: 35px;
    margin: 0 20px;
    width: 100px;
    height: 100px;
    background: #414141;
    text-align: center;
    line-height: 100px;
    color: white;
    z-index: 1;
    border-radius: 50%;
}

.redxcounterBox {
    display: flex;
    position: relative;
}

.redxcounterBox button {
    outline: none;
    border: none;
    font-size: 30px;
    border-radius: 50%;
    background-color: #414141;
    color: white;
    cursor: pointer;
}

.redxcounterBox .button1 {
    position: absolute;
    top: 25px;
    left: 20px;
    width: 50px;
    height: 50px;
    transition: all 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
}

.redxcounterBox .button2 {
    position: absolute;
    top: 25px;
    right: 20px;
    width: 50px;
    height: 50px;
    transition: all 0.3s ease-in-out;
}

.redxcounterBox:hover .button1 {
    position: relative;
    left: 0px;
}

.redxcounterBox:hover .button2 {
    position: relative;
    right: 0px;
}
